Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 18:30
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Lighthouse 64 5.15 Final
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 12 of 16 Posts_count   Goto page: Previous 1, 2, 3, ..., 10, 11, 12, 13, 14, 15, 16 Next
Author Message
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Mon 17 Dec 2012, 14:00    Post_subject:  

Q5sys wrote:
Im trying to build drivers for a Creative Sound Blaster X-Fi Titanium PCI card

and I have one slight problem...
in the make file, I have this entry where I'm getting an error.

MODPATH = /lib/modules/`uname -r`/kernel/drivers/ssound

however in /lib/modules/3.0.3/kernel/drivers there is no sound sub-dir
Where on earth are the kernel sound drivers in lhp?


sigh... sometimes command line betrays you. GUI lets you see all the folders at once, instead of just cd-ing into the directory you want

If anyone is wondering its under:
/lib/modules/3.0.3/kernel/sound

Any particular reason thats not in with the rest of the drivers?

Problem #2


Here is the make file:
Code:
ctxfi-objs := xfi.o ctatc.o ctvmem.o ctpcm.o ctmixer.o ctresource.o ctsrc.o ctamixer.o ctdaio.o ctimap.o cthardware.o cthw20k2.o cthw20k1.o
       
obj-m += ctxfi.o

ifeq ($(DEBUG), y)
CFLAGS += -g -DDEBUG
endif

KERNELDIR    ?= /lib/modules/$(shell uname -r)/build
PWD      := $(shell pwd)

all:
   $(MAKE) -C $(KERNELDIR) M=$(PWD)

clean:
   rm -rf *.o *~ core .depend .*.cmd *.ko *.mod.c .tmp_versions

PHONY := install uninstall

MODDIR = $(PWD)
MODPATH   = /lib/modules/`uname -r`/kernel/drivers/ssound
MODULES = ctxfi.ko

install:
   @echo "Copy module files..."
   @rm -rf $(MODPATH)
   @mkdir $(MODPATH)
   @cd $(MODDIR)/; cp -f $(MODULES) $(MODPATH)/
   @echo "Update module dependency relationships..."
   @/sbin/depmod
   @/sbin/modprobe ctxfi

users := $(word 3, $(shell /sbin/lsmod | grep ^ctxfi | head -n 1))
uninstall:
   @if [ "$(users)" = "0" ]; then \
      echo "Unload ctxfi..."; \
      /sbin/modprobe -r ctxfi; \
   fi
   @echo "Remove module files..."
   @rm -rf $(MODPATH)
   @echo "Update module dependency relationships..."
   @/sbin/depmod

.PHONY: $(PHONY)


and here is my output....
Code:
make -C /lib/modules/3.0.3/build M=/initrd/mnt/dev_save/work/XFiDrv_Linux_Public_US_1.00/XFiDrv_Linux_Public_US_1.00
make[1]: Entering directory `/usr/src/linux-3.0.3'
  LD      /initrd/mnt/dev_save/work/XFiDrv_Linux_Public_US_1.00/XFiDrv_Linux_Public_US_1.00/built-in.o
  CC [M]  /initrd/mnt/dev_save/work/XFiDrv_Linux_Public_US_1.00/XFiDrv_Linux_Public_US_1.00/xfi.o
/initrd/mnt/dev_save/work/XFiDrv_Linux_Public_US_1.00/XFiDrv_Linux_Public_US_1.00/xfi.c:14:26: fatal error: sound/driver.h: No such file or directory
compilation terminated.
make[2]: *** [/initrd/mnt/dev_save/work/XFiDrv_Linux_Public_US_1.00/XFiDrv_Linux_Public_US_1.00/xfi.o] Error 1
make[1]: *** [_module_/initrd/mnt/dev_save/work/XFiDrv_Linux_Public_US_1.00/XFiDrv_Linux_Public_US_1.00] Error 2
make[1]: Leaving directory `/usr/src/linux-3.0.3'
make: *** [all] Error 2



the package from creative is supposed to be everything you need. But apparently, I'm missing something on my local system I should have. Ideas?

_________________



Back to top
View user's profile Send_private_message Visit_website 
tazoc


Joined: 11 Dec 2006
Posts: 1157
Location: Lower Columbia Basin WA US

PostPosted: Tue 18 Dec 2012, 13:45    Post_subject: Creative X-Fi workaround  

Hi Q5sys,
I googled sound/driver.h: No such file or directory and found this at http://ubuntuforums.org/showthread.php?t=1304627:
rosseto wrote:
Re: Can't install X-Fi drivers in 9.10
I know that it's not the best solution.. but after a bunch of tries it worked for me =)
I simply removed the include directives of sound/driver.h present in xfi.c and ctac.h
After I comment the following statement in xfi.h
//card = snd_card_new(index[dev], id[dev], THIS_MODULE, 0);
(the function snd_card_new probably is called from sound/driver.h)
After that I successfully compiled and installed and after a reboot the sound was working fine good.
With the Devx loaded you will find the files noted above at /usr/src/linux-3.0.3/sound/pci/ctxfi/

Hope that helps,
TaZoC

_________________
lhpup.org Lighthouse 64 6.02
Back to top
View user's profile Send_private_message Visit_website 
tazoc


Joined: 11 Dec 2006
Posts: 1157
Location: Lower Columbia Basin WA US

PostPosted: Tue 18 Dec 2012, 14:14    Post_subject: bash_advanced_guide-6.6 pet  

don570 wrote:
I couldn't get my pet package of the Bash manual to
install correctly because you have some block
in effect.

http://www.murga-linux.com/puppy/viewtopic.php?p=671564#671564
Hi don570,
Lighthouse moves /usr/doc to /usr/share/doc for consistency with Puppy's docs.

I've rebuilt your Pet and the .desktop files accordingly and now it works. This is a really nice Pet, thank you!

Regards,
TaZoC
bash_advanced_guide-6.6e.pet
Description  Advanced Bash Scripting Guide v6.6 by don570;
I relocated doc folder to /usr/share/ to work in any Pup
pet

 Download 
Filename  bash_advanced_guide-6.6e.pet 
Filesize  1.44 MB 
Downloaded  307 Time(s) 

_________________
lhpup.org Lighthouse 64 6.02
Back to top
View user's profile Send_private_message Visit_website 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Tue 18 Dec 2012, 17:03    Post_subject: Re: Creative X-Fi workaround  

tazoc wrote:
Hi Q5sys,
I googled sound/driver.h: No such file or directory and found this at http://ubuntuforums.org/showthread.php?t=1304627:
rosseto wrote:
Re: Can't install X-Fi drivers in 9.10
I know that it's not the best solution.. but after a bunch of tries it worked for me =)
I simply removed the include directives of sound/driver.h present in xfi.c and ctac.h
After I comment the following statement in xfi.h
//card = snd_card_new(index[dev], id[dev], THIS_MODULE, 0);
(the function snd_card_new probably is called from sound/driver.h)
After that I successfully compiled and installed and after a reboot the sound was working fine good.
With the Devx loaded you will find the files noted above at /usr/src/linux-3.0.3/sound/pci/ctxfi/

Hope that helps,
TaZoC


I'll test various options... I dont think it makes any sense to intentionally remove stuff that creative obviously thought was a good idea. Maybe there is another work around. Thanks for the info... I'll see what I can manage.

_________________



Back to top
View user's profile Send_private_message Visit_website 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Fri 21 Dec 2012, 20:00    Post_subject:  

Not that anyone was waiting to find out... but the Nvidia Quadro NVS 420 cards work fine in LHP with the Nvidia drivers.
Oddly enough they apparently overrule the NVS 290 card completely. Its still on my board but its not detected at all after I installed the NVS 420 card.

Spans across all 4 screens with no problem.
My 2nd NVS 420 is in the mail currently, when it arrives I'll plug it in and see how the sytem works with two NVS 420s.

If anyone is currently in the market for GFX cards... I no longer need my old setup. So I'm selling my two ZOTAC AMP! GeForce GTX 550 Ti 1GB cards.
Here for specs
Here for pics: Pic 1, Pic 2 Pic 3
I ran these under LHP since it 4.43 I believe. I have not had any issue with them and they work fine with puppy.

See Sig for link.

_________________



Back to top
View user's profile Send_private_message Visit_website 
meeki


Joined: 23 Jul 2012
Posts: 123
Location: Portland OR

PostPosted: Sat 22 Dec 2012, 03:14    Post_subject:  

Q5sys I want a photo from your camera of all them screens running when you get it setup....... please Smile

sorry the 290 did not play nice with the other NVS's. My 290 is happy with my 550 TI thought it would work for you.

Oh and fair price on them cards.

on another note I just got my network (internet back up) went playing around with my linux router box and had a hell of a time getting it all back up.

tossed unbuntu running e17 desktop and back to my LHpup install. I just love this OS I can't stay away. My wife had to use my computer while her laptop was waiting for a new power adapter and she hates LightHouse Razz I had to install a copy linux mint (the one she uses) in Virtualbox for her. I think Lighthouse is too rough for ubber basic users.

Happy holidays to all you LightHouse lovers.
Back to top
View user's profile Send_private_message 
meeki


Joined: 23 Jul 2012
Posts: 123
Location: Portland OR

PostPosted: Sat 22 Dec 2012, 03:56    Post_subject:  

Oh good news too I got a working pet and SFS of Dropbox that does not break Virtual Box or any thing else I know of.

It's version 1.6.6 released 12/14/2012

The bad -

you have to login every time you reboot

Its the closed source version. Dropbox does have an version you can compile GPL version 1.4.0 the prob is it needs nautilus. This version would fix the auto login issue if we had nautilus.

You need to tell it to use a folder outside the pup save file if you need space.

The Good. -

The icon in the tool bar shows up and works now. It tells you whats syncing.

Again after i get my service back up and the server running right ill post a copy here Smile
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Sat 22 Dec 2012, 15:39    Post_subject:  

meeki wrote:
Q5sys I want a photo from your camera of all them screens running when you get it setup....... please Smile

sorry the 290 did not play nice with the other NVS's. My 290 is happy with my 550 TI thought it would work for you.

Oh and fair price on them cards.


Got both of my NVS 420s now!
Whats odd is that the NVS 290 ran great with my two GTX 550Ti cards in SLI. Not quite sure why it suddenly decided not to work with the 420 card. I've got both NVS 420s installed and they are running nicely. I only own 5 screens though... but right now i've got them all hooked up.

As for pics... Here is the inside of the rig:
http://puppy-linux.org/q5sys/system/DSC04522.JPG
Screenshot:
Click for larger image. Size warning. Image Resolution = 5760 x 2160 pixels


Can't wait to start getting the rest of my new system. Rest of my system will be up for sale within a month or so. Out with the old and in with the new.

_________________



Back to top
View user's profile Send_private_message Visit_website 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Sat 22 Dec 2012, 17:21    Post_subject:  

Newest Nvidia Driver pet.
Nvidia-313.09-beta-k3.0.3-L64
Nvidia considers this driver to be Beta. It does have some significant increases in some areas.
Per Nvidia:
- Improved the performance of glDrawPixels() by up to 450% when the pixel data is of type GL_BYTE.
- Improved performance of OpenGL framebuffer object binds with Xinerama enabled by 2000-3000% when the application's windows do not span screen boundaries.

Keep in mind however this driver is considered BETA.
It may or may not work fully on your system. If that is the case, you can use the last stable driver: use Meeki's link below.

Both of these drivers have included significant improvements over the older 304.64 Driver.

_________________




Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
meeki


Joined: 23 Jul 2012
Posts: 123
Location: Portland OR

PostPosted: Sun 23 Dec 2012, 17:57    Post_subject:  



Dropbox v1.6.6
PET http://lhpuppetsfs.puppytune.org/pet/dropbox-1.6.6-x86_64.pet
MD5 http://lhpuppetsfs.puppytune.org/pet/dropbox-1.6.6-x86_64.pet.md5


Smile
Back to top
View user's profile Send_private_message 
meeki


Joined: 23 Jul 2012
Posts: 123
Location: Portland OR

PostPosted: Sun 23 Dec 2012, 18:07    Post_subject:  



Nvidia 310.19 SFS Dirvers
SFS http://lhpuppetsfs.puppytune.org/sfs/nvidia-glx-310.19-k3.0.3-x86_64.sfs
MD5 http://lhpuppetsfs.puppytune.org/sfs/nvidia-glx-310.19-k3.0.3-x86_64.sfs.md5

These drivers are for GeForce cards 8000 and up. See supported card list here.
http://www.nvidia.com/object/linux-display-ia32-310.19-driver.html

Q5sys nvidia pet did not work for me.

If your looking for lagacy nvidia drivers
Nvidia 304.64 PET Dirvers
PET http://lhpuppetsfs.puppytune.org/pet/Nvidia-304.64-k3.0.3-L64.pet
MD5 http://lhpuppetsfs.puppytune.org/pet/Nvidia-304.64-k3.0.3-L64.pet.md5

See supported card list.
http://www.nvidia.com/object/linux-display-amd64-304.64-driver.html
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Sun 23 Dec 2012, 18:38    Post_subject:  

meeki wrote:

Q5sys nvidia pet did not work for me.


thanks for the report. I'll pull the link.
SFS release is a problem for video drivers. Due to the layering of the system when it boots... save file sits on top of SFS files... so if they have an older driver in their save file... the newer one in the SFS wont be used.

_________________



Back to top
View user's profile Send_private_message Visit_website 
meeki


Joined: 23 Jul 2012
Posts: 123
Location: Portland OR

PostPosted: Sun 23 Dec 2012, 18:47    Post_subject:  

Quote:
thanks for the report. I'll pull the link.

Its the 310 pet not the new beta one ya posted. Your pet works until I reboot. If I jsut reboot X it works. On a full restart of the system your pet made my screen txt small at boot and when xwin loads It goes black.

Quote:
SFS release is a problem for video drivers. Due to the layering of the system when it boots... save file sits on top of SFS files... so if they have an older driver in their save file... the newer one in the SFS wont be used.


Agree.... this is why I am switching all my Drivers to SFS for now on. Even if i uninstall my old 304 nvida pet and install my new 310 SFS it fails.

Ive now installed and uninstalled the nvida SFS and it stays happy.
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Sun 23 Dec 2012, 18:50    Post_subject:  

meeki wrote:
Quote:
thanks for the report. I'll pull the link.

Its the 310 pet not the new beta one ya posted. Your pet works until I reboot. If I jsut reboot X it works. On a full restart of the system your pet made my screen txt small at boot and when xwin loads It goes black.

Quote:
SFS release is a problem for video drivers. Due to the layering of the system when it boots... save file sits on top of SFS files... so if they have an older driver in their save file... the newer one in the SFS wont be used.


Agree.... this is why I am switching all my Drivers to SFS for now on. Even if i uninstall my old 304 nvida pet and install my new 310 SFS it fails.

Ive now installed and uninstalled the nvida SFS and it stays happy.


cool. Might want to make a note that it will require a user to install any previously installed nvidia pet so updates can be done via the SFS method.
Its a good idea, keeps the bloat out of the safe file and makes updating and rolling back a piece of cake.
Good thinking doing that with the video files, It never crossed my mind before.

_________________



Back to top
View user's profile Send_private_message Visit_website 
gcmartin

Joined: 14 Oct 2005
Posts: 4296
Location: Earth

PostPosted: Wed 26 Dec 2012, 04:40    Post_subject: Save sesssion processing in Mariner and other LH64s  

Question
In LH64, isn't the save-session files (I run live media) loaded before the SFSs. Thus this puts it highest in the order and SFS loading would not compromise save session stuff.

I ask, because I seem to remember TaZoC doing a significant amount of structuring to arrive at the boot-time management that we see.

This is, I believe, how it works in, say, Mariner.

Is that a correct view?

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 12 of 16 Posts_count   Goto page: Previous 1, 2, 3, ..., 10, 11, 12, 13, 14, 15, 16 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1273s ][ Queries: 13 (0.0112s) ][ GZIP on ]